# $Revision: 1.16 $, $Date: 2002/09/05 12:03:45 $
Summary:	Common Language Infrastructure implementation
Summary(pl):	Implementacja jzyka CLI
Name:		mono
Version:	0.15
Release:	4
License:	LGPL
Group:		Development/Languages
Source0:	http://www.go-mono.com/archive/%{name}-%{version}.tar.gz
Patch0:		%{name}-noport.patch
URL:		http://www.go-mono.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gc-devel >= 6.0-3
BuildRequires:	glib2-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Common Language Infrastructure platform. Microsoft has created a
new development platform. The highlights of this new development
platform are:
- A runtime environment that provides garbage collection, threading
  and a virtual machine specification (The Virtual Execution System,
  VES),
- A comprehensive class library,
- A new language, C#. Very similar to Java, C# allows programmers to
  use all the features available on the .NET runtime,
- A language specification that compilers can follow if they want to
  generate classes and code that can interoperate with other programming
  languages (The Common Language Specification: CLS).

%description -l pl
Platforma CLI (Common Language Infrastructure). Microsoft stworzy
now platform developersk. Zalety tej platformy to:
- rodowisko, ktre dostarsza garbale collector, wtki oraz
  specyfikacj maszyny wirtualnej (The Virtual Execution System, VES),
- bibliotek klas,
- nowy jzyk, C#. Bardzo podobny do Javy, C# pozwala programistom na
  uywanie wszystkich moliwoci dostarczanych przez platform .NET,
- specyfikacja dla kompilatorw, ktre chc generowa kod
  wsppracujcy z innymi jzykami programowania (The Common Language
  Specification: CLS).

%package devel
Summary:	Development resources for mono
Summary(pl):	Zasoby programisty do mono
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development resources for mono.

%description devel -l pl
Zasoby programosty do mono.

%package static
Summary:	Static mono library
Summary(pl):	Statyczna biblioteka mono
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static mono library.

%description static -l pl
Statyczna biblioteka mono.

%prep
%setup -q
%patch -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure --with-gc=boehm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%ifnarch %{ix86}
ln -s mint $RPM_BUILD_ROOT%{_bindir}/mono
%endif

rm -f doc/Makefile* docs/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mint
%attr(755,root,root) %{_bindir}/mono
%ifarch %{ix86}
%attr(755,root,root) %{_libdir}/*.so.*.*
%endif
%attr(755,root,root) %{_libdir}/*.dll
%{_mandir}/man5/mono-config.5*
%{_mandir}/man1/mint.1*
%{_mandir}/man1/mono.1*
%dir %{_sysconfdir}/mono
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mono/config

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README doc docs
%attr(755,root,root) %{_bindir}/mcs*
%attr(755,root,root) %{_bindir}/monodis
%attr(755,root,root) %{_bindir}/monograph
%ifarch %{ix86}
%attr(755,root,root) %{_libdir}/*.la
%attr(755,root,root) %{_libdir}/*.so
%endif
%{_datadir}/%{name}
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}
%{_mandir}/man1/mcs.1*
%{_mandir}/man1/monoburg.1*
%{_mandir}/man1/monodis.1*
%{_mandir}/man1/monostyle.1*

%files static
%defattr(644,root,root,755)
%ifarch %{ix86}
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mono.spec,v $
Revision 1.16  2002/09/05 12:03:45  qboosh
- fixed compilation with NO_PORT (currently on alpha)
- added mono/config file, release 4

Revision 1.15  2002/08/29 18:30:23  marcus
- fixed %%files on ix86
- rel.3.

Revision 1.14  2002/08/26 08:05:52  kloczek
- adapterized.

Revision 1.13  2002/08/26 07:50:44  marcus
- urgh... rel.2. (kloczek tagged nfy rel.1.)
- fixes for !ix86

Revision 1.12  2002/08/25 21:18:38  marcus
- updated to 0.15

Revision 1.11  2002/08/14 11:37:41  malekith
- cleanup: removed obsolete patches

Revision 1.10  2002/08/14 11:30:55  malekith
- up to 0.13

Revision 1.9  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:14:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/14 12:39:47  kloczek
- release 2.

Revision 1.3  2001/12/14 09:50:58  qboosh
- cosmetics

Revision 1.2  2001/12/13 18:18:06  kloczek
- added devel and static subpackages,
- added regenerate ac/am/lt files (added DESTDIR ad ac_fixes patches).

Revision 1.1  2001/12/13 13:44:30  misiek
- initial PLD release
